package com.company.jmixforms.screen.firsttaskform;

import io.jmix.bpmui.processform.ProcessFormContext;
import io.jmix.bpmui.processform.annotation.ProcessForm;
import io.jmix.ui.screen.Screen;
import io.jmix.ui.screen.Subscribe;
import io.jmix.ui.screen.UiController;
import io.jmix.ui.screen.UiDescriptor;
import org.flowable.task.api.Task;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;

import javax.inject.Inject;

@UiController("sample_FirstTaskForm")
@UiDescriptor("first-task-form.xml")
@ProcessForm
public class FirstTaskForm extends Screen {

    @Inject
    private ProcessFormContext processFormContext;

    private static final Logger log = LoggerFactory.getLogger(FirstTaskForm.class);

    @Subscribe
    public void onBeforeShow(BeforeShowEvent event) {
        Task task = processFormContext.getTask();
        log.info("Task: " + task);
    }
}